Subject: Re: [bug#35790] [PATCH] scripts: lint: Handle warnings with a record type.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 20 Jun 2019 13:40:38 +0200

Hi!

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> One question I have: before, warnings would be emitted as we go; now, we
>> first collect all the warnings for a given package, and emit all of them
>> at once.  How does it look in terms of UX?
>
> Not quite, warnings are emitted once returned from each checker for each
> package. The display will only be delayed if a checker takes a long time
> to return the warnings, which I don't think happens (or at least happens
> much).

True, so that shouldn’t be much of an issue I guess.

Ludo’.